Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 101736 - can't to build gmp-4.1.4 (aclocal-1.5 is missing)
Summary: can't to build gmp-4.1.4 (aclocal-1.5 is missing)
Status: RESOLVED DUPLICATE of bug 20600
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High critical (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-08 05:29 UTC by Matthias F. Brandstetter
Modified: 2005-08-08 08:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias F. Brandstetter gentoo-dev 2005-08-08 05:29:12 UTC
When I want to install bacula emerge tries to install gmp as a dependency. But
after fetching gmp's sources I get this error after portage has applied the
multilib patch:

>>> Unpacking source...
>>> Unpacking gmp-4.1.4.tar.gz to /var/tmp/portage/gmp-4.1.4/work
 * Applying gmp-4.1.4-multilib.patch ...                           [ ok ]
am-wrapper: /usr/bin/aclocal-1.5 is missing or not executable.
            Please try emerging the correct version of automake.
am-wrapper: /usr/bin/aclocal-1.5 is missing or not executable.
            Please try emerging the correct version of automake.
autoreconf-2.59: aclocal failed with exit status: 1

Reproducible: Always
Steps to Reproduce:
just did a "emerge bacula"



Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.3.4,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r5 i686)
=================================================================
System uname: 2.6.11-gentoo-r5 i686 AMD Athlon(tm) XP 2100+
Gentoo Base System version 1.4.16
dev-lang/python:     2.2.2, 2.3.4
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.14.90.0.8-r1
sys-devel/libtool:   1.4.1-r10, 1.5.10-r4
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE=""
ANT_HOME="/usr/share/ant-core"
ARCH="x86"
AUTOCLEAN="yes"
BASH_ENV="/etc/spork/is/not/valid/profile.env"
CBUILD="i686-pc-linux-gnu"
CC="gcc"
CFLAGS="-O2 -march=athlon-xp -pipe -w"
CHOST="i686-pc-linux-gnu"
CLASSPATH="."
CLEAN_DELAY="5"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.3/share/config:/usr/kde/3.3/env:/usr/kde/3.3/shutdown
/usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown
/usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CRYSTAL="/opt/crystal"
CVS_RSH="ssh"
CXX="g++"
CXXFLAGS="-O2 -march=athlon-xp -pipe -w"
DISPLAY=":0.0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/vim"
ELIBC="glibc"
EMERGE_WARNING_DELAY="10"
FEATURES="autoconfig candy distlocks moo sandbox sfperms strict userpriv
usersandbox"
FETCHCOMMAND="/usr/bin/wget -t 5 --passive-ftp -P ${DISTDIR} ${URI}"
GDK_USE_XFT="1"
GENTOO_MIRRORS="http://gentoo.inode.at/
http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/
http://mirrors.sec.informatik.tu-darmstadt.de/gentoo
http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
GLIBC_SSP_CHECKED="1"
GRP_STAGE23_USE="ipv6 pam tcpd readline nls ssl gpm perl python berkdb ncurses"
GUILE_LOAD_PATH="/usr/share/guile/1.6"
G_BROKEN_FILENAMES="1"
HOME="/root"
HOSTNAME="itchy"
INFODIR="/usr/share/info"
INFOPATH="/usr/share/info:/usr/share/gcc-data/i686-pc-linux-gnu/3.3/info:/usr/share/info"
INPUTRC="/etc/inputrc"
JAVA_HOME="/opt/sun-jre-bin-1.4.2.08"
JRE_HOME="/opt/sun-jre-bin-1.4.2.08"
KDEDIR="/usr/kde/3.3"
KDEDIRS="/usr"
KERNEL="linux"
LESS="-r"
LESSOPEN="|lesspipe.sh %s"
LOGNAME="root"
LS_COLORS="no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*.deb=01;31:*.rpm=01;31:*.jpg=01;35:*.gif=01;35:*.bmp=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.png=01;35:*.mpg=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:"
MAIL="/var/spool/mail/root"
MANPATH="/usr/share/man:/usr/local/share/man:/usr/share/gcc-data/i686-pc-linux-gnu/3.3/man:/usr/X11R6/man::/opt/sun-jre-bin-1.4.2.08/man:/usr/qt/3/man:/usr/qt/3/doc/man:/opt/vmware/man"
MOZILLA_FIVE_HOME="/usr/lib/mozilla"
OLDPWD="/root"
PAGER="/usr/bin/most"
PATH="/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/3.3:/opt/Acrobat5:/opt/RealPlayer8:/usr/X11R6/bin:/opt/sun-jre-bin-1.4.2.08/bin:/opt/sun-jre-bin-1.4.2.08/javaws:/usr/qt/3/bin:/usr/kde/3.4/sbin:/usr/kde/3.4/bin:/usr/kde/3.3/sbin:/usr/kde/3.3/bin:/opt/vmware/bin:/usr/share/karamba/bin:/usr/lib/portage/bin:/root/scripts:/usr/local/bin:/usr/local/sbin:/usr/bin/wrappers"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 ppc-macos ppc-od
s390 sh sparc x86 x86-fbsd x86-obsd x86-od"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_CALLER="emerge"
PORTAGE_GID="250"
PORTAGE_MASTER_PID="24286"
PORTAGE_NICENESS="10"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
PRELINK_PATH=""
PRELINK_PATH_MASK="/usr/lib/gstreamer-0.8"
PS1="\[\033[00m\][ \[\033[01;37m\]$(/bin/date +%H:%M) \[\033[01;31m\]\h
\[\033[01;34m\]$(ps1dir $PWD) \[\033[00m\]] "
PWD="/scratch/backup"
PYTHONDOCS="/usr/share/doc/python-docs-2.3.4/html"
QMAKESPEC="linux-g++"
QTDIR="/usr/qt/3"
RESUMECOMMAND="/usr/bin/wget -c -t 5 --passive-ftp -P ${DISTDIR} ${URI}"
RPMDIR="/usr/portage/rpm"
RSYNC_RETRIES="3"
RSYNC_TIMEOUT="180"
SGML_CATALOG_FILES="/etc/sgml/sgml-ent.cat:/etc/sgml/sgml-docbook.cat:/etc/sgml/openjade-1.3.1.cat:/etc/sgml/sgml-docbook-3.1.cat:/etc/sgml/sgml-lite.cat:/etc/sgml/dsssl-docbook-stylesheets.cat:/etc/sgml/sgml-docbook-3.0.cat"
SHELL="/bin/bash"
SHLVL="1"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
TERM="xterm"
TMAKEPATH="/usr/lib/tmake/linux-g++"
USE="x86 3dnow X aalib alsa arts avi bash-completion bitmap-fonts bonobo cdr
crypt cscope cups curl dga divx4linux doc dvd dvdr dvdread eds emboss encode esd
fam fastcgi flac foomaticdb fortran gd gdbm gif gphoto2 gstreamer gtk gtk2
gtkhtml guile hbci imagemagick ipv6 java jpeg junit kde kdeenablefinal kerberos
ldap libg++ libwww lirc mad maildir md5sum mmx mmx2 motif mp3 mpeg mysql ncurses
nvidia odbc offensive ogg opengl pam pdflib perl png python qt quicktime
readline real samba sdl slang sqlite sse sse2 ssl svga tcpd tiff truetype
truetype-fonts type1-fonts usb videos visualization vorbis win32codecs xine xml
xml2 xmms xv xvid zlib userland_GNU kernel_linux elibc_glibc"
USER="root"
USERLAND="GNU"
USE_EXPAND="FRITZCAPI_CARDS FCDSL_CARDS VIDEO_CARDS INPUT_DEVICES LINGUAS
USERLAND KERNEL ELIBC"
XARGS="xargs -r"
XAUTHORITY="/root/.xauth7e41rl"
XINITRC="/etc/X11/xinit/xinitrc"
_="/usr/bin/emerge
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2005-08-08 05:36:06 UTC
Does /usr/bin/aclocal-1.5 exist and is it executable? Did you try 'emerge
=sys-devel/automake-1.5' ?
Comment 2 Matthias F. Brandstetter gentoo-dev 2005-08-08 07:32:30 UTC
I do not have this file "/usr/bin/aclocal-1.5", but I do have:
 - /usr/bin/aclocal
 - /usr/bin/aclocal-1.4
 - /usr/bin/aclocal-1.6
 - /usr/bin/aclocal-1.7
 - /usr/bin/aclocal-1.8
 - /usr/bin/aclocal-1.9

Even after a "emerge =sys-devel/automake-1.5" I still have no
"/usr/bin/aclocal-1.5". Should I make a symlink?
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2005-08-08 07:38:17 UTC
(In reply to comment #2)

> Even after a "emerge =sys-devel/automake-1.5" I still have no
> "/usr/bin/aclocal-1.5". Should I make a symlink?

Huh? How's that possible?

$ equery b `which aclocal-1.5`
[ Searching for file(s) /usr/bin/aclocal-1.5 in *... ]
sys-devel/automake-1.5 (/usr/bin/aclocal-1.5)

Please, attach the output of 'equery f =automake-1.5'
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2005-08-08 07:41:36 UTC
If this is the same box as in Bug 101750, then your should really 'emerge sync
&& emerge -uD world' before reporting any further bugs.
Comment 5 Matthias F. Brandstetter gentoo-dev 2005-08-08 07:42:54 UTC
[ 16:40 itchy ~ ] equery f =automake-1.5
No command or unknown command given
Usage: equery <global-opts> command <local-opts>
where <global-opts> is one of
 -q, --quiet   - minimal output
 -C, --nocolor - turn off colours
 -h, --help    - this help screen
 -V, --version - display version info
where command is one of
 files <local-opts> pkgspec - list files owned by pkgspec
 stats  - not implemented yet
 list <local-opts> pkgspec - list all packages matching pkgspec
 glsa  - not implemented yet
 depends  - not implemented yet
 belongs <local-opts> file - list all packages owning file
 uses <local-opts> pkgspec - display USE flags for pkgspec
 which pkgspec - print full path to ebuild for package pkgspec
 depgraph <local-opts> pkgspec - display a dependency tree for pkgspec
 changes  - not implemented yet
 check pkgspec - check package's files against recorded MD5 sums and timestamps
 size <local-opts> pkgspec - print size of files contained in package pkgspec
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2005-08-08 08:02:53 UTC
Uh, you have probably some outdated version version of gentoolkit as well,
'equery f =automake-1.5' works perfectly fine here. Upgrade it or use qpkg to
list the files that automake-1.5 installs. It this the same box as in Bug 101750?
Comment 7 Matthias F. Brandstetter gentoo-dev 2005-08-08 08:15:58 UTC
yeah it's the same box. seems there is a problem here -- I just tried to upgrade
gcc, but I get the same error here:

cc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugs.gentoo.org/> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [genrtl.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/gcc-3.3.5.20050130-r1/work/build/gcc'
make[1]: *** [stage3_build] Error 2
make[1]: Leaving directory `/var/tmp/portage/gcc-3.3.5.20050130-r1/work/build/gcc'
make: *** [bootstrap-lean] Error 2

Strange thing is, I never ever had a problem with my RAM. As said, I could
compile OOorg, X.org, KDE an such w/o any problem. How can this be?

Or other question: How can I update my gcc if I am not able to compile anything?
Comment 8 Jakub Moc (RETIRED) gentoo-dev 2005-08-08 08:23:18 UTC
Well, sorry, Gentoo cannot do anything about this problem. Check the other bug
for suggestions (like test your RAM, check if your box is not overheating etc.
etc.) Given how outdated your box is, reinstalling from scratch would probably
not take much longer then upgrading it (in case you have just broken toolchain). 

*** This bug has been marked as a duplicate of 20600 ***